
Ruby - Bug #4762

Adding documentation for mathn

05/22/2011 10:47 AM - anilv (Anil V)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: 1.9.2-p180 Backport:  

Description

I added documentation for using mathn. Added examples for using Prime, Vector & Matrix. Maintained the Rdoc format.

Patch included.

Associated revisions

Revision 5dcb4fc1 - 06/01/2011 12:26 AM - drbrain (Eric Hodel)

lib/mathn.rb:  Improve documentation and attach it to Numeric.

Modified from patch by Anil V.  [Ruby 1.9 - Bug #4762]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31881 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/23/2011 08:57 AM - drbrain (Eric Hodel)

Is part of this patch missing?  I can't find the context for this patch, for example, I can't find "will return Matrix" or "will retrun Matrix" in svn trunk.

#2 - 05/26/2011 02:25 AM - anilv (Anil V)

- File 0002-Fixed-typos-on-mathn-documentation.patch added

You're right. I did not include the original patch. Sorry about that.

I am adding both the patches now. The second one is just correcting spelling errors on my part.

Just ignore the first file from 5/21 :: 0001-Fixed-typos-on-mathn-documentation.patch

Thanks!

#3 - 05/26/2011 02:29 AM - anilv (Anil V)

- File 0001-Adding-documentation-for-mathn.patch added

#4 - 06/01/2011 09:26 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31881.

Anil, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/mathn.rb:  Improve documentation and attach it to Numeric.

Modified from patch by Anil V.  [Ruby 1.9 - Bug #4762]

#5 - 06/01/2011 09:28 AM - drbrain (Eric Hodel)

Since there were other commits to mathn.rb before I received your patch I applied a modified version.

I added a note to prime.rb mentioning that it is Enumerable.  Since Prime already has good documentation I don't think there's a good place to add

the rest of your examples.
For Matrix and Vector they don't have much toplevel documentation, so I think that would be a good next place for you to submit a patch.

#6 - 06/02/2011 05:06 AM - anilv (Anil V)

Awesome! Thanks Eric.

Files

0001-Fixed-typos-on-mathn-documentation.patch 1.14 KB 05/22/2011 anilv (Anil V)

0002-Fixed-typos-on-mathn-documentation.patch 1.15 KB 05/26/2011 anilv (Anil V)

0001-Adding-documentation-for-mathn.patch 1.46 KB 05/26/2011 anilv (Anil V)
